Index: uspace/drv/ns8250/ns8250.c
===================================================================
--- uspace/drv/ns8250/ns8250.c	(revision fc51296af4f45da426f5626f3573adee6b0babda)
+++ uspace/drv/ns8250/ns8250.c	(revision 8b65570552691ad6fa2a012cf20ea6571577cd46)
@@ -276,5 +276,5 @@
 static bool ns8250_pio_enable(ns8250_t *ns)
 {
-	ddf_msg(LVL_DEBUG, "ns8250_pio_enable %s\n", ns->dev->name);
+	ddf_msg(LVL_DEBUG, "ns8250_pio_enable %s", ns->dev->name);
 	
 	/* Gain control over port's registers. */
@@ -282,5 +282,5 @@
 	    (void **) &ns->port)) {
 		ddf_msg(LVL_ERROR, "Cannot map the port %#" PRIx32
-		    " for device %s.\n", ns->io_addr, ns->dev->name);
+		    " for device %s.", ns->io_addr, ns->dev->name);
 		return false;
 	}
@@ -296,5 +296,5 @@
 static bool ns8250_dev_probe(ns8250_t *ns)
 {
-	ddf_msg(LVL_DEBUG, "ns8250_dev_probe %s\n", ns->dev->name);
+	ddf_msg(LVL_DEBUG, "ns8250_dev_probe %s", ns->dev->name);
 	
 	ioport8_t *port_addr = ns->port;
@@ -315,5 +315,5 @@
 	
 	if (!res) {
-		ddf_msg(LVL_DEBUG, "Device %s is not present.\n",
+		ddf_msg(LVL_DEBUG, "Device %s is not present.",
 		    ns->dev->name);
 	}
@@ -329,5 +329,5 @@
 static int ns8250_dev_initialize(ns8250_t *ns)
 {
-	ddf_msg(LVL_DEBUG, "ns8250_dev_initialize %s\n", ns->dev->name);
+	ddf_msg(LVL_DEBUG, "ns8250_dev_initialize %s", ns->dev->name);
 	
 	int ret = EOK;
@@ -341,5 +341,5 @@
 	if (ns->dev->parent_phone < 0) {
 		ddf_msg(LVL_ERROR, "Failed to connect to parent driver of "
-		    "device %s.\n", ns->dev->name);
+		    "device %s.", ns->dev->name);
 		ret = ns->dev->parent_phone;
 		goto failed;
@@ -350,5 +350,5 @@
 	if (ret != EOK) {
 		ddf_msg(LVL_ERROR, "Failed to get HW resources for device "
-		    "%s.\n", ns->dev->name);
+		    "%s.", ns->dev->name);
 		goto failed;
 	}
@@ -365,5 +365,5 @@
 			ns->irq = res->res.interrupt.irq;
 			irq = true;
-			ddf_msg(LVL_NOTE, "Device %s was asigned irq = 0x%x.\n",
+			ddf_msg(LVL_NOTE, "Device %s was asigned irq = 0x%x.",
 			    ns->dev->name, ns->irq);
 			break;
@@ -373,5 +373,5 @@
 			if (res->res.io_range.size < REG_COUNT) {
 				ddf_msg(LVL_ERROR, "I/O range assigned to "
-				    "device %s is too small.\n", ns->dev->name);
+				    "device %s is too small.", ns->dev->name);
 				ret = ELIMIT;
 				goto failed;
@@ -379,6 +379,6 @@
 			ioport = true;
 			ddf_msg(LVL_NOTE, "Device %s was asigned I/O address = "
-			    "0x%x.\n", ns->dev->name, ns->io_addr);
-			break;
+			    "0x%x.", ns->dev->name, ns->io_addr);
+    			break;
 			
 		default:
@@ -388,5 +388,5 @@
 	
 	if (!irq || !ioport) {
-		ddf_msg(LVL_ERROR, "Missing HW resource(s) for device %s.\n",
+		ddf_msg(LVL_ERROR, "Missing HW resource(s) for device %s.",
 		    ns->dev->name);
 		ret = ENOENT;
@@ -473,5 +473,5 @@
 	
 	if (baud_rate < 50 || MAX_BAUD_RATE % baud_rate != 0) {
-		ddf_msg(LVL_ERROR, "Invalid baud rate %d requested.\n",
+		ddf_msg(LVL_ERROR, "Invalid baud rate %d requested.",
 		    baud_rate);
 		return EINVAL;
@@ -658,8 +658,8 @@
 				if (!buf_push_back(&ns->input_buffer, val)) {
 					ddf_msg(LVL_WARN, "Buffer overflow on "
-					    "%s.\n", ns->dev->name);
+					    "%s.", ns->dev->name);
 				} else {
 					ddf_msg(LVL_DEBUG2, "Character %c saved "
-					    "to the buffer of %s.\n",
+					    "to the buffer of %s.",
 					    val, ns->dev->name);
 				}
@@ -717,5 +717,5 @@
 	int rc;
 	
-	ddf_msg(LVL_DEBUG, "ns8250_add_device %s (handle = %d)\n",
+	ddf_msg(LVL_DEBUG, "ns8250_add_device %s (handle = %d)",
 	    dev->name, (int) dev->handle);
 	
@@ -752,5 +752,5 @@
 	/* Register interrupt handler. */
 	if (ns8250_register_interrupt_handler(ns) != EOK) {
-		ddf_msg(LVL_ERROR, "Failed to register interrupt handler.\n");
+		ddf_msg(LVL_ERROR, "Failed to register interrupt handler.");
 		rc = EADDRNOTAVAIL;
 		goto fail;
@@ -761,5 +761,5 @@
 	if (rc != EOK) {
 		ddf_msg(LVL_ERROR, "Failed to enable the interrupt. Error code = "
-		    "%d.\n", rc);
+		    "%d.", rc);
 		goto fail;
 	}
@@ -767,5 +767,5 @@
 	fun = ddf_fun_create(dev, fun_exposed, "a");
 	if (fun == NULL) {
-		ddf_msg(LVL_ERROR, "Failed creating function.\n");
+		ddf_msg(LVL_ERROR, "Failed creating function.");
 		goto fail;
 	}
@@ -775,5 +775,5 @@
 	rc = ddf_fun_bind(fun);
 	if (rc != EOK) {
-		ddf_msg(LVL_ERROR, "Failed binding function.\n");
+		ddf_msg(LVL_ERROR, "Failed binding function.");
 		goto fail;
 	}
@@ -783,5 +783,5 @@
 	ddf_fun_add_to_class(fun, "serial");
 	
-	ddf_msg(LVL_NOTE, "Device %s successfully initialized.\n",
+	ddf_msg(LVL_NOTE, "Device %s successfully initialized.",
 	    dev->name);
 	
@@ -866,5 +866,5 @@
 	
 	ddf_msg(LVL_DEBUG, "ns8250_get_props: baud rate %d, parity 0x%x, word "
-	    "length %d, stop bits %d\n", *baud_rate, *parity, *word_length,
+	    "length %d, stop bits %d", *baud_rate, *parity, *word_length,
 	    *stop_bits);
 }
@@ -883,5 +883,5 @@
 {
 	ddf_msg(LVL_DEBUG, "ns8250_set_props: baud rate %d, parity 0x%x, word "
-	    "length %d, stop bits %d\n", baud_rate, parity, word_length,
+	    "length %d, stop bits %d", baud_rate, parity, word_length,
 	    stop_bits);
 	
